*
* Generic pentode model: EL183
* Copyright 2003--2006 by Ayumi Nakabayashi, All rights reserved.
* Version 3.01, Generated on Mon Sep 10 23:02:59 2012
.SUBCKT EL183 A G2 G1 K
BGG   GG   0 V=V(G1,K)+0.60127523
BEP   EP   0 V=URAMP(V(A,K))+1e-10
BEG   EG   0 V=URAMP(V(G1,K))+1e-10
BEG2  EG2  0 V=URAMP(V(G2,K))+1e-10
BM1   M1   0 V=(0.0066822003*(URAMP(V(EG2)-1e-10)+1e-10))**-0.6229118
BM2   M2   0 V=(0.7065767*(URAMP(V(GG)+V(EG2)/43.911181)+1e-10))**2.1229118
BP    P    0 V=0.014400927*(URAMP(V(GG)+V(EG2)/62.146376)+1e-10)**1.5
BIK   IK   0 V=U(V(GG))*V(P)+(1-U(V(GG)))*0.0083300386*V(M1)*V(M2)
BIG   IG   0 V=0.0072004637*V(EG)**1.5*(V(EG)/(V(EP)+V(EG))*1.2+0.4)
BIK2  IK2  0 V=V(IK,IG)*(1-0.4*(EXP(-V(EP)/V(EG2)*15)-EXP(-15)))
BIG2T IG2T 0 V=V(IK2)*(0.84656085*(1-V(EP)/(V(EP)+10))**1.5+0.15343915)
BIK3  IK3  0 V=V(IK2)*(V(EP)+980)/(V(EG2)+980)
BIK4  IK4  0 V=V(IK3)-URAMP(V(IK3)-(0.0075494471*(V(EP)+URAMP(V(EG2,EP)))**1.5))
BIP   IP   0 V=URAMP(V(IK4,IG2T)-URAMP(V(IK4,IG2T)-(0.0075494471*V(EP)**1.5)))
BIAK  A    K I=V(IP)+1e-10*V(A,K)
BIG2  G2   K I=URAMP(V(IK4,IP))
BIGK  G1   K I=V(IG)
* CAPS
CGA   G1  A  0.8p
CGK   G1  K  7.4p
C12   G1  G2 4.9p
CAK   A   K  4.6p
.ENDS
